<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) INRIA - Djalel Abdemouche
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="set">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>set</refname>
    <refpurpose>set a property value of a graphic entity
  object or of a User Interface object.</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>set(prop,val)
set(h,prop)
set(h,prop,val)
h.prop=val</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>h</term>
        <listitem>
          <para>graphic handle of the entity which to set the named
          property. <literal>h</literal> can be a vector of handles, in which case
          set modifies the property for all entities contained in h.</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>prop</term>
        <listitem>
          <para>character string, name of the property to set.</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>val</term>
        <listitem>
          <para>value to give to the property.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
	
	<para>This routine can be used to modify the value of a specified property from a
    graphics entity or a GUI object. In this case it is equivalent to use the dot operator on an handle.
	For exemple, <literal>set(h,"background",5)</literal> is equivalent to <literal>h.background = 5</literal>.
	</para>
	<para>Property names are character strings. The type of the set values depends on the handle type and property.
	</para>
	<para>To get the list of all existing properties
	see <link linkend="graphics_entities">graphics_entities</link> or <link linkend="uicontrol">uicontrol</link>
	for User Interface objects.</para>
	
	<para>
	<literal>set</literal> function can be also called with only a property and a value as argument. In this case,
	the property must be one of the following:
        </para>
	<variablelist>
      <varlistentry>
        <term>current_entity or hdl</term>
        <listitem>
          <para><literal>set('current_entity',h)</literal> or <literal>set('hdl',h)</literal> sets a new entity as current.
		  In this case, the value must be a graphic handle.</para>
        </listitem>
      </varlistentry>
	  <varlistentry>
        <term>current_figure</term>
        <listitem>
          <para><literal>set('current_figure',fig)</literal> sets a new graphic figure as current.
		  It is equivalent to <link linkend="scf">scf</link>. In this case, the value must be a Figure handle.
		  </para>
        </listitem>
      </varlistentry>
	  <varlistentry>
        <term>current_axes</term>
        <listitem>
		  <para><literal>set('current_axes',axes)</literal> sets a new axes entity as current.
		  It is equivalent to <link linkend="sca">sca</link>. In this case, the value must be an Axes handle.
		  </para>
        </listitem>
      </varlistentry>
	</variablelist>
	
	<para>
	<literal>set</literal> can also be called with a graphic handle and property as arguments.
	The handle must be either a handle on the default figure or the default axes entities.
	The property must be <literal>"default_values"</literal>. In this case, the default entity
	is reset to the value it had at Scilab startup. <literal>set("default_values",h)</literal>
	is equivalent to <link linkend="sda">sda</link> or <link linkend="sdf">sdf</link>.
	</para>
	
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[ 
clf()
set("auto_clear","off") ;
// Exemple of a Plot 2D
x=[-.2:0.1:2*%pi]';
plot2d(x-.3,[sin(x-1) cos(2*x)],[1 2] );
a=get("current_axes");
p1=a.children.children(1);
p2=a.children.children(2);
// set the named properties to the specified values on the objects
set(p2,"foreground",13);
set(p2,"polyline_style",2);
set(a,'tight_limits',"on");
set(a,"box","off");
set(a,"sub_tics",[ 7 0 ]);
set(a,"y_location","middle")
set(p2,'thickness',2);
set(p1,'mark_mode',"on");
set(p1,'mark_style',3);
plot2d(x-2,x.^2/20);
p3= a.children(1).children;
set([a p1 p2 p3],"foreground",5)
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="get">get</link>
      </member>
      <member>
        <link linkend="delete">delete</link>
      </member>
      <member>
        <link linkend="copy">copy</link>
      </member>
      <member>
        <link linkend="move">move</link>
      </member>
      <member>
        <link linkend="graphics_entities">graphics_entities</link>
      </member>
      <member>
        <link linkend="uicontrol">uicontrol</link>
      </member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Authors</title>
    <para>Djalel ABDEMOUCHE</para>
  </refsection>
</refentry>
